Inputting Manifest File Error

This is what I am inputting:
qiime2-2020.2) [[email protected] BCPE]$ qiime tools import \

–type ‘SampleData[PairedEndSequencesWithQuality]’
–input-path /mnt/nfs/proj/bcp/Microbiome/16S/Data/BCPE/qiime2/BCPE_manifest3.tsv
–output-path paired-end-demux.qza
–input-format PairedEndFastqManifestPhred33V2

This is the error message I keep getting:

Traceback (most recent call last):
File “/usr/local/miniconda2/envs/qiime2-2020.2/lib/python3.6/site-packages/qiime2/util.py”, line 89, in duplicate
os.link(src, dst)
OSError: [Errno 18] Invalid cross-device link: ‘/mnt/nfs/proj/bcp/Microbiome/16S/Data/BCPE/raw/MN0135A_16S_S187_R2_001.fastq.gz’ -> ‘/tmp/q2-SingleLanePerSamplePairedEndFastqDirFmt-jmqbf2ry/MN0135A_16S_S187__677_L001_R2_001.fastq.gz’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/miniconda2/envs/qiime2-2020.2/lib/python3.6/site-packages/q2cli/builtin/tools.py”, line 158, in import_data
view_type=input_format)
File “/usr/local/miniconda2/envs/qiime2-2020.2/lib/python3.6/site-packages/qiime2/sdk/result.py”, line 241, in import_data
validate_level=‘max’)
File “/usr/local/miniconda2/envs/qiime2-2020.2/lib/python3.6/site-packages/qiime2/sdk/result.py”, line 267, in _from_view
result = transformation(view, validate_level)
File “/usr/local/miniconda2/envs/qiime2-2020.2/lib/python3.6/site-packages/qiime2/core/transform.py”, line 70, in transformation
new_view = transformer(view)
File “/usr/local/miniconda2/envs/qiime2-2020.2/lib/python3.6/site-packages/q2_types/per_sample_sequences/_transformer.py”, line 445, in _25
single_end=False)
File “/usr/local/miniconda2/envs/qiime2-2020.2/lib/python3.6/site-packages/q2_types/per_sample_sequences/_transformer.py”, line 299, in _fastq_manifest_helper
fastq_copy_fn(input_fastq_fp, str(output_fastq_fp))
File “/usr/local/miniconda2/envs/qiime2-2020.2/lib/python3.6/site-packages/q2_types/per_sample_sequences/_transformer.py”, line 272, in _copy_with_compression
qiime2.util.duplicate(src, dst)
File “/usr/local/miniconda2/envs/qiime2-2020.2/lib/python3.6/site-packages/qiime2/util.py”, line 92, in duplicate
shutil.copyfile(src, dst)
File “/usr/local/miniconda2/envs/qiime2-2020.2/lib/python3.6/shutil.py”, line 122, in copyfile
copyfileobj(fsrc, fdst)
File “/usr/local/miniconda2/envs/qiime2-2020.2/lib/python3.6/shutil.py”, line 82, in copyfileobj
fdst.write(buf)
OSError: [Errno 28] No space left on device

An unexpected error has occurred:

[Errno 28] No space left on device

See above for debug info.

Any suggestions on what the issue might be?

Thank you,
Collin

Hi @cgregg1227! Error messages aren’t aways clear, but they’re usually close enough to point you in the right direction. This forum’s search :mag: tool is a great resource for troubleshooting stuff like this. Let’s start with the error message that looks the most straightforward. We can look into other things if fixing this doesn’t work.

My guess here is that the system you’re using either a) doesn’t have enough storage space allocated for the import tool’s file management needs, or the storage space it’s trying to use is somewhere you don’t have access to.

@jwdebelius did a great job with troubleshooting a very similar error here:

Give it a shot, and let us know how it goes!

Best,
Chris :boar:

1 Like

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.